
Ruby - Bug #14115

MinGW (ruby-loco) build stopped svn 60832 2017-11-18

11/18/2017 03:48 AM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: svn 60832 2017-11-18 Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

Previous build was successful at

ruby 2.5.0dev (2017-11-18 trunk 60828) [x64-mingw32]

 Last lines of build log are:

compiling ../ruby/win32/win32.c

compiling ../ruby/win32/file.c

compiling prelude.c

compiling ../ruby/array.c

linking miniruby.exe

generating encdb.h

make: *** [uncommon.mk:704: .rbconfig.time] Segmentation fault

make: *** Waiting for unfinished jobs....

encdb.h updated

==> ERROR: A failure occurred in build().

    Aborting...

Command exited with code 1

 Current Appveyor mswin build is frozen/locked 1.0.6109

Associated revisions

Revision 4f83ca015d7131f0990ca03a295a9d0c816f0192 - 11/18/2017 08:25 AM - U.Nakamura 

Cannot call rb_thread_call_with{out,}_gvl before running VM

dir.c (opendir_without_gvl, with_gvl_gc_for_fd, opendir_at): check the VM is

already initialized before calling rb_thread_call_with{out,}_gvl().

[Bug #14115]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60837 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4f83ca01 - 11/18/2017 08:25 AM - U.Nakamura 

Cannot call rb_thread_call_with{out,}_gvl before running VM

dir.c (opendir_without_gvl, with_gvl_gc_for_fd, opendir_at): check the VM is

already initialized before calling rb_thread_call_with{out,}_gvl().

[Bug #14115]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60837 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/18/2017 08:25 AM - usa (Usaku NAKAMURA)

- Status changed from Open to Closed

Applied in changeset trunk|r60837.

Cannot call rb_thread_call_with{out,}_gvl before running VM

dir.c (opendir_without_gvl, with_gvl_gc_for_fd, opendir_at): check the VM is

already initialized before calling rb_thread_call_with{out,}_gvl().
https://ci.appveyor.com/project/ruby/ruby/build/1.0.6109
#2 - 11/18/2017 03:51 PM - normalperson (Eric Wong)

Greg.mpls@gmail.com wrote:

Bug #14115: MinGW (ruby-loco) build stopped svn 60832 2017-11-18

https://bugs.ruby-lang.org/issues/14115

 Re: r60837

Why not change init order so rb_cThread gets defined earlier on?

That would be cleaner than checking every call.  I also never

noticed the problem on pthreads, so I'm not sure why it only

manifests on w32
